=== deps/CMakeLists.txt ===
###
## compile dependencies of davix

add_subdirectory(libneon)
