=== deps/curl/tests/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(libtest)
add_subdirectory(server)
add_subdirectory(unit)
