=== debian/changelog ===
davix (0.8.10-2) unstable; urgency=medium

  * Update CMake minimum requirement and supported versions (Closes: #1112827)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 17 Sep 2025 15:52:09 +0200

davix (0.8.10-1) unstable; urgency=medium

  * Update to version 0.8.10

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 13 Feb 2025 11:09:41 +0100
