=== debian/control ===
Source: davix
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 cmake,
 libxml2-dev,
 libssl-dev,
 gsoap,
 libgsoap-dev,
 libgtest-dev,
 libcurl4-openssl-dev,
 pkgconf,
 python3:native,
 zlib1g-dev,
 uuid-dev,
 rapidjson-dev
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 doxygen,
 python3-sphinx,
 python3-sphinx-rtd-theme
Standards-Version: 4.7.2
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/davix
Vcs-Git: https://salsa.debian.org/ellert/davix.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/davix.html

Package: davix
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdavix0t64 (= ${binary:Version})
Description: Toolkit for http based file management
 Davix is a toolkit designed for file operations with http based protocols
 (WebDav, Amazon S3, ...).

Package: davix-tests
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdavix0t64 (= ${binary:Version})
Description: Test suite for davix
 Test suite for davix. Davix is a toolkit designed for file operations
 with http based protocols (WebDav, Amazon S3, ...).

Package: libdavix0t64
Provides: ${t64:Provides}
X-Time64-Compat: libdavix0v5
Replaces: libdavix0v5
Breaks: libdavix0v5 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Runtime library for davix
 Library for davix. Davix is a toolkit designed for file operations with
 http based protocols (WebDav, Amazon S3, ...).

Package: davix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libdavix0t64 (= ${binary:Version})
Description: Development files for davix
 Development files for davix. Davix is a toolkit designed for file operations
 with http based protocols (WebDav, Amazon S3, ...).

Package: davix-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using:
 ${sphinxdoc:Built-Using}
Description: Documentation for davix
 Documentation and examples for davix. Davix is a toolkit designed for file
 operations with http based protocols (WebDav, Amazon S3, ...).
