=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

BUILD_DOC = $(if $(filter davix-doc,$(shell dh_listpackages)),TRUE,FALSE)

%:
	dh $@

override_dh_auto_configure:
	# Remove bundled stuff
	rm -rf deps/curl
	rm -rf src/libs/rapidjson
	rm -rf test/pywebdav
	rm -rf doc/sphinx/_themes/sphinx_rtd_theme
	dh_auto_configure -- -DLIB_SUFFIX:PATH="/$(DEB_HOST_MULTIARCH)" \
		-DEMBEDDED_LIBCURL:BOOL=FALSE \
		-DEMBEDDED_RAPIDJSON:BOOL=FALSE \
		-DENABLE_HTML_DOCS:BOOL=$(BUILD_DOC) \
		-DENABLE_THIRD_PARTY_COPY:BOOL=TRUE

override_dh_auto_build:
	dh_auto_build
	[ "$(BUILD_DOC)" = "FALSE" ] || ( dh_auto_build -- doc && ( \
	  cd obj-$(DEB_HOST_GNU_TYPE)/doc ; \
	  sphinx-build -q -b html ../../doc/sphinx build/html )	)

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/share/doc/davix/LICENSE

override_dh_auto_test:
	dh_auto_test -- ARGS+="-V -T Test"
